Page MenuHomePhabricator

`Error: validation failed` during `make deploy`
Closed, ResolvedPublic

Description

~$ sw_vers
ProductName:	Mac OS X
ProductVersion:	10.15
BuildVersion:	19A602

~$ brew -v
Homebrew 2.1.15
Homebrew/homebrew-core (git revision ea62; last commit 2019-10-25)
Homebrew/homebrew-cask (git revision c27a82; last commit 2019-10-25)

1~$ cd Documents/gerrit/releng/local-charts
2~/Documents/gerrit/releng/local-charts$ git branch
3* master
4
5~/Documents/gerrit/releng/local-charts$ git pull origin master
6From ssh://gerrit.wikimedia.org:29418/releng/local-charts
7 * branch master -> FETCH_HEAD
8Already up to date.
9
10~/Documents/gerrit/releng/local-charts$ make install
11(cd ./bin && ./install_prereqs.sh)
12Ensuring homebrew caskroom is installed...
13Error: caskroom/cask was moved. Tap homebrew/cask-cask instead.
14make: *** [install] Error 1
15
16~/Documents/gerrit/releng/local-charts$ git review -d 545881
17Downloading refs/changes/81/545881/1 from gerrit
18Switched to branch "review/zfilipin/T236393"
19
20~/Documents/gerrit/releng/local-charts$ make install
21(cd ./bin && ./install_prereqs.sh)
22Installing minikube...
23Updating Homebrew...
24==> Satisfying dependencies
25==> Installing Formula dependencies: kubernetes-cli
26==> Installing kubernetes-cli
27==> Downloading https://homebrew.bintray.com/bottles/kubernetes-cli-1.16.2.catalina.bottle.tar.gz
28==> Downloading from https://akamai.bintray.com/96/967500a577176ea53a926b2833619352dbf289e25977696515b32c7082f5e9e6?__gda__=exp=1572005111~hmac=36ea21f
29######################################################################## 100.0%
30==> Pouring kubernetes-cli-1.16.2.catalina.bottle.tar.gz
31==> Caveats
32Bash completion has been installed to:
33 /usr/local/etc/bash_completion.d
34
35zsh completions have been installed to:
36 /usr/local/share/zsh/site-functions
37==> Summary
38๐Ÿบ /usr/local/Cellar/kubernetes-cli/1.16.2: 232 files, 52.3MB
39==> Downloading https://storage.googleapis.com/minikube/releases/v1.4.0/minikube-darwin-amd64
40######################################################################## 100.0%
41==> Verifying SHA-256 checksum for Cask 'minikube'.
42==> Installing Cask minikube
43==> Linking Binary 'minikube-darwin-amd64' to '/usr/local/bin/minikube'.
44๐Ÿบ minikube was successfully installed!
45Kubectl already installed - Skipping kubectl install step.
46Installing hyperkit...
47==> Installing dependencies for docker-machine-driver-hyperkit: docker-machine
48==> Installing docker-machine-driver-hyperkit dependency: docker-machine
49==> Downloading https://homebrew.bintray.com/bottles/docker-machine-0.16.2.catalina.bottle.tar.gz
50==> Downloading from https://akamai.bintray.com/99/99b50d9809a0aa881e01686e3356fbd17fa61e5a5e8cb937a2a9e9ff103be097?__gda__=exp=1572005183~hmac=fa1b238
51######################################################################## 100.0%
52==> Pouring docker-machine-0.16.2.catalina.bottle.tar.gz
53==> Caveats
54Bash completion has been installed to:
55 /usr/local/etc/bash_completion.d
56
57zsh completions have been installed to:
58 /usr/local/share/zsh/site-functions
59
60To have launchd start docker-machine now and restart at login:
61 brew services start docker-machine
62Or, if you don't want/need a background service you can just run:
63 docker-machine start
64==> Summary
65๐Ÿบ /usr/local/Cellar/docker-machine/0.16.2: 11 files, 36MB
66==> Installing docker-machine-driver-hyperkit
67==> Downloading https://homebrew.bintray.com/bottles/docker-machine-driver-hyperkit-1.0.0.catalina.bottle.tar.gz
68==> Downloading from https://akamai.bintray.com/97/970f9a0f226f1dde7d60e0878a05cef43b503e79f669e2f69fa6e2fd48cfb7f5?__gda__=exp=1572005189~hmac=d79d3ce
69######################################################################## 100.0%
70==> Pouring docker-machine-driver-hyperkit-1.0.0.catalina.bottle.tar.gz
71==> Caveats
72This driver requires superuser privileges to access the hypervisor. To
73enable, execute:
74 sudo chown root:wheel /usr/local/opt/docker-machine-driver-hyperkit/bin/docker-machine-driver-hyperkit
75 sudo chmod u+s /usr/local/opt/docker-machine-driver-hyperkit/bin/docker-machine-driver-hyperkit
76==> Summary
77๐Ÿบ /usr/local/Cellar/docker-machine-driver-hyperkit/1.0.0: 5 files, 13.7MB
78==> Installing dependencies for hyperkit: libev
79==> Installing hyperkit dependency: libev
80==> Downloading https://homebrew.bintray.com/bottles/libev-4.27.catalina.bottle.tar.gz
81######################################################################## 100.0%
82==> Pouring libev-4.27.catalina.bottle.tar.gz
83๐Ÿบ /usr/local/Cellar/libev/4.27: 12 files, 447KB
84==> Installing hyperkit
85==> Downloading https://homebrew.bintray.com/bottles/hyperkit-0.20190802.catalina.bottle.tar.gz
86==> Downloading from https://akamai.bintray.com/04/046b48d483ce691cb566d4204469a71b838aaa7fcc387f2b45eec20dc2c658ef?__gda__=exp=1572005203~hmac=325ea86
87######################################################################## 100.0%
88==> Pouring hyperkit-0.20190802.catalina.bottle.tar.gz
89๐Ÿบ /usr/local/Cellar/hyperkit/0.20190802: 5 files, 4.0MB
90==> Caveats
91==> docker-machine
92Bash completion has been installed to:
93 /usr/local/etc/bash_completion.d
94
95zsh completions have been installed to:
96 /usr/local/share/zsh/site-functions
97
98To have launchd start docker-machine now and restart at login:
99 brew services start docker-machine
100Or, if you don't want/need a background service you can just run:
101 docker-machine start
102==> docker-machine-driver-hyperkit
103This driver requires superuser privileges to access the hypervisor. To
104enable, execute:
105 sudo chown root:wheel /usr/local/opt/docker-machine-driver-hyperkit/bin/docker-machine-driver-hyperkit
106 sudo chmod u+s /usr/local/opt/docker-machine-driver-hyperkit/bin/docker-machine-driver-hyperkit
107Giving hyperkit driver superuser privileges...
108Password:
109Making /usr/local/opt/docker-machine-driver-hyperkit/bin/docker-machine-driver-hyperkit setuid...Installing helm...
110==> Downloading https://homebrew.bintray.com/bottles/kubernetes-helm-2.15.1.catalina.bottle.tar.gz
111==> Downloading from https://akamai.bintray.com/f0/f055d13d28b5f76e19718cb93bd5e64f34e27c1602de39fb6ade3449756153cc?__gda__=exp=1572005237~hmac=80dcbe3
112######################################################################## 100.0%
113==> Pouring kubernetes-helm-2.15.1.catalina.bottle.tar.gz
114==> Caveats
115Bash completion has been installed to:
116 /usr/local/etc/bash_completion.d
117
118zsh completions have been installed to:
119 /usr/local/share/zsh/site-functions
120==> Summary
121๐Ÿบ /usr/local/Cellar/kubernetes-helm/2.15.1: 51 files, 85.1MB
122Making hyperkit the default VM driver...
123./mac_prereq.sh: line 39: 3276 Killed: 9 minikube config set vm-driver hyperkit
124make: *** [install] Error 137

Click Cancel

Clicking Allow Anyway in System Preferences > Security & Privacy.

~/Documents/gerrit/releng/local-charts$ make install
(cd ./bin && ./install_prereqs.sh)
Minikube already installed - Skipping minikube install step.
Kubectl already installed - Skipping kubectl install step.
Hyperkit already installed - Skipping hyperkit install step.
Helm already installed - Skipping helm install step.
Making hyperkit the default VM driver...
โš ๏ธ  These changes will take effect upon a minikube delete and then a minikube start
helm repo add wikimedia https://releases.wikimedia.org/charts/
Error: Couldn't load repositories file (/Users/z/.helm/repository/repositories.yaml).
You might need to run `helm init` (or `helm init --client-only` if tiller is already installed)
make: *** [install] Error 1

Click Open.

1~/Documents/gerrit/releng/local-charts$ make start
2minikube start
3๐Ÿ˜„ minikube v1.4.0 on Darwin 10.15
4๐Ÿ’พ Downloading driver docker-machine-driver-hyperkit:
5 > docker-machine-driver-hyperkit.sha256: 65 B / 65 B [---] 100.00% ? p/s 0s
6 > docker-machine-driver-hyperkit: 28.85 MiB / 28.85 MiB 100.00% 1.15 MiB p
7๐Ÿ”‘ The 'hyperkit' driver requires elevated permissions. The following commands will be executed:
8
9 $ sudo chown root:wheel /Users/z/.minikube/bin/docker-machine-driver-hyperkit
10 $ sudo chmod u+s /Users/z/.minikube/bin/docker-machine-driver-hyperkit
11
12
13Password:
14๐Ÿ’ฟ Downloading VM boot image ...
15 > minikube-v1.4.0.iso.sha256: 65 B / 65 B [--------------] 100.00% ? p/s 0s
16 > minikube-v1.4.0.iso: 135.73 MiB / 135.73 MiB [] 100.00% 2.17 MiB p/s 1m3s
17๐Ÿ”ฅ Creating hyperkit VM (CPUs=2, Memory=2000MB, Disk=20000MB) ...
18๐Ÿณ Preparing Kubernetes v1.16.0 on Docker 18.09.9 ...
19๐Ÿ’พ Downloading kubelet v1.16.0
20๐Ÿ’พ Downloading kubeadm v1.16.0
21๐Ÿšœ Pulling images ...
22๐Ÿš€ Launching Kubernetes ...
23โŒ› Waiting for: apiserver proxy etcd scheduler controller dns
24๐Ÿ„ Done! kubectl is now configured to use "minikube"
25helm init --wait
26Creating /Users/z/.helm
27Creating /Users/z/.helm/repository
28Creating /Users/z/.helm/repository/cache
29Creating /Users/z/.helm/repository/local
30Creating /Users/z/.helm/plugins
31Creating /Users/z/.helm/starters
32Creating /Users/z/.helm/cache/archive
33Creating /Users/z/.helm/repository/repositories.yaml
34Adding stable repo with URL: https://kubernetes-charts.storage.googleapis.com
35Adding local repo with URL: http://127.0.0.1:8879/charts
36$HELM_HOME has been configured at /Users/z/.helm.
37
38Tiller (the Helm server-side component) has been installed into your Kubernetes Cluster.
39
40Please note: by default, Tiller is deployed with an insecure 'allow unauthenticated users' policy.
41To prevent this, run `helm init` with the --tiller-tls-verify flag.
42For more information on securing your installation see: https://docs.helm.sh/using_helm/#securing-your-helm-installation
43./bin/sshfs_keygen.sh
44Generating public/private rsa key pair.
45Your identification has been saved in /home/docker/.ssh/id_rsa.
46Your public key has been saved in /home/docker/.ssh/id_rsa.pub.
47The key fingerprint is:
48SHA256:V7taXOjO6FZTZvM/JRiKO403WKSKG2FHlpiZK8JiGJQ docker@minikube
49The key's randomart image is:
50+---[RSA 2048]----+
51| .. |
52|.E = . |
53|. = + . |
54|o. + ...o= |
55|+o. + . S+..o*.o |
56|o. o o o.oo+o. o|
57| .. . * .=. .o|
58| ... = =* ..|
59| .. =+.o .|
60+----[SHA256]-----+
61Saving key to authorized_keys file.

~/Documents/gerrit/releng/local-charts$ cp values.example.yaml values.yaml
~/Documents/gerrit/releng/local-charts$ make deploy                       
helm dependency update ./helm
Hang tight while we grab the latest from your chart repositories...
...Unable to get an update from the "local" chart repository (http://127.0.0.1:8879/charts):
	Get http://127.0.0.1:8879/charts/index.yaml: dial tcp 127.0.0.1:8879: connect: connection refused
...Successfully got an update from the "stable" chart repository
Update Complete.
Saving 4 charts
Downloading mariadb from repo https://kubernetes-charts.storage.googleapis.com/
Downloading mediawiki-dev from repo https://releases.wikimedia.org/charts/
Downloading parsoid from repo https://releases.wikimedia.org/charts/
Deleting outdated charts
helm install --name "default" -f "values.yaml" --set mediawiki.main_app.xdebug.remoteHost=192.168.64.1 ./helm
Error: validation failed: [unable to recognize "": no matches for kind "Deployment" in version "apps/v1beta2", unable to recognize "": no matches for kind "StatefulSet" in version "apps/v1beta1"]
make: *** [deploy] Error 1

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptOct 25 2019, 12:03 PM
zeljkofilipin triaged this task as Medium priority.Oct 25 2019, 12:05 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin moved this task from INBOX to Doing on the Release-Engineering-Team-TODO (201910) board.
zeljkofilipin added a subscriber: jeena.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin renamed this task from `make deploy` error to `Error: validation failed` during `make deploy`.Oct 25 2019, 12:28 PM
zeljkofilipin updated the task description. (Show Details)

Change 546317 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[releng/local-charts@master] Update mariadb version to be compatible with newer k8s version

https://gerrit.wikimedia.org/r/546317

Change 546317 merged by Jeena Huneidi:
[releng/local-charts@master] Update deployments to be compatible with newer k8s version

https://gerrit.wikimedia.org/r/546317

brennen moved this task from Backlog to In-progress on the local-charts board.Oct 28 2019, 9:36 PM
zeljkofilipin closed this task as Resolved.Oct 29 2019, 10:49 AM
zeljkofilipin claimed this task.

Fixed! ๐ŸŽ‰